#include <cmath>
#include <cstdio>
#include <vector>
#include <iostream>
#include <algorithm>
using namespace std;
void delay(int ms) {
  clock_t now, start;
  start = now = clock();
  while (double(now - start) / CLOCKS_PER_SEC < double(ms) / 1000) {
    now = clock();
  }
}

int main() {
  int i = 1;
  while(i++){
    system("clear");
    if(i % 8 == 0){
        cout<<"loading.";
        cout <<  "\n"<< "\n"<< "\n"<<"\n"<< "\n";
      cout <<"  " << " "<< "  #" <<" "<< "\n";
      cout <<"  " << "#" << " "<< " "<< " "<< " #" <<"\n";
      cout <<"  " << "#" << " "<< " "<< " "<< " #" <<"\n"; 
      cout <<"  " << " "<< " ##" <<" "<< "\n";
    }
    if(i % 8 == 1){
        cout<<"loading..";
        cout <<  "\n"<< "\n"<< "\n"<<"\n"<< "\n";
      cout <<"  " << " "<< " # " <<" "<< "\n";
      cout <<"  " << "#" << " "<< " "<< " "<< " #" <<"\n";
      cout <<"  " << "#" << " "<< " "<< " "<< " #" <<"\n"; 
      cout <<"  " << " "<< " ##" <<" "<< "\n";
    }
    if(i % 8 == 2){
        cout<<"loading...";
        cout <<  "\n"<< "\n"<< "\n"<<"\n"<< "\n";
      cout <<"  " << " "<< " ##" <<" "<< "\n";
      cout <<"  " << "#" << " "<< " "<< " "<< "  " <<"\n";
      cout <<"  " << "#" << " "<< " "<< " "<< " #" <<"\n"; 
      cout <<"  " << " "<< " ##" <<" "<< "\n";
    }
    if(i % 8 == 3){
        cout<<"loading....";
        cout <<  "\n"<< "\n"<< "\n"<<"\n"<< "\n";
      cout <<"  " << " "<< " ##" <<" "<< "\n";
      cout <<"  " << "#" << " "<< " "<< " "<< " #" <<"\n";
      cout <<"  " << "#" << " "<< " "<< " "<< "  " <<"\n"; 
      cout <<"  " << " "<< " ##" <<" "<< "\n";
    }
    if(i % 8 == 4){
        cout<<"loading.";
        cout <<  "\n"<< "\n"<< "\n"<<"\n"<< "\n";
      cout <<"  " << " "<< " ##" <<" "<< "\n";
      cout <<"  " << "#" << " "<< " "<< " "<< " #" <<"\n";
      cout <<"  " << "#" << " "<< " "<< " "<< " #" <<"\n"; 
      cout <<"  " << " "<< "#  " <<" "<< "\n";
    }
    if(i % 8 == 5){
        cout<<"loading..";
        cout <<  "\n"<< "\n"<< "\n"<<"\n"<< "\n";
      cout <<"  " << " "<< " ##" <<" "<< "\n";
      cout <<"  " << "#" << " "<< " "<< " "<< " #" <<"\n";
      cout <<"  " << "#" << " "<< " "<< " "<< " #" <<"\n"; 
      cout <<"  " << " "<< "  #" <<" "<< "\n";
    }
    if(i % 8 == 6){
        cout<<"loading...";
        cout <<  "\n"<< "\n"<< "\n"<<"\n"<< "\n";
      cout <<"  " << " "<< " ##" <<" "<< "\n";
      cout <<"  " << "#" << " "<< " "<< " "<< " #" <<"\n";
      cout <<"  " << " " << " "<< " "<< " "<< " #" <<"\n"; 
      cout <<"  " << " "<< " ##" <<" "<< "\n";
    }
    if(i % 8 == 7){
        cout<<"loading....";
        cout <<  "\n"<< "\n"<< "\n"<<"\n"<< "\n";
      cout <<"  " << " "<< " ##" <<" "<< "\n";
      cout <<"  " << " " << " "<< " "<< " "<< " #" <<"\n";
      cout <<"  " << "#" << " "<< " "<< " "<< " #" <<"\n"; 
      cout <<"  " << " "<< " ##" <<" "<< "\n";
    }
    delay(100);  
  }


  return 0;
}